AtteanX::Parser::NQuads(3pm)

NAME
AtteanX::Parser::NQuads - N-Quads Parser

VERSION
This document describes AtteanX::Parser::NQuads version 0.035

SYNOPSIS
 use Attean;
 my $parser = Attean->get_parser('NQuads')->new();

 # Parse data from a file-handle and handle quads in the 'handler' callback
 $parser->parse_cb_from_io( $fh );

 # Parse the given byte-string, and return an iterator of quads
 my $iter = $parser->parse_iter_from_bytes('<http://example.org/subject> <tag:example.org:predicate> "object" <http://example.org/graph> .');
 while (my $quad = $iter->next) {
   print $quad->as_string;
 }

DESCRIPTION
This module implements a parser for the N-Quads format.

ROLES
This class consumes Attean::API::Parser, Attean::API::PullParser and <Attean::API::MixedStatementParser>.

METHODS

parse_iter_from_io( $fh )
    Returns an Attean::API::Iterator that result from parsing the data read from the IO::Handle object $fh.

parse_iter_from_bytes( $data )
    Returns an Attean::API::Iterator that result from parsing the data read from the UTF-8 encoded byte string $data.

"canonical_media_type"
    Returns the canonical media type for N-Quads: application/n-quads.

"media_types"
    Returns a list of media types that may be parsed with the N-Triples parser: application/n-quads.

"file_extensions"
    Returns a list of file extensions that may be parsed with the parser.

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/perlrdf/issues>.

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2014--2022 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.